IPSW-DOWNLOAD-GIT(1)

NAME
ipsw-download-git - Download github.com/orgs/apple-oss-distributions tarballs

SYNOPSIS
ipsw download git [flags]

DESCRIPTION
Download github.com/orgs/apple-oss-distributions tarballs

OPTIONS
-a, --api=""
    Github API Token

-h, --help[=false]
    help for git

--insecure[=false]
    do not verify ssl certs

--json[=false]
    Output downloadable tar.gz URLs as JSON

--latest[=false]
    Get ONLY latest tag

-o, --output=""
    Folder to download files to

-p, --product=""
    macOS product to download (i.e. dyld)

--proxy=""
    HTTP/HTTPS proxy

--webkit[=false]
    Get WebKit tags

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Download latest dyld source tarballs
    ❯ ipsw download git --product dyld --latest
    # Get all available tarballs as JSON
    ❯ ipsw download git --json --output ~/sources
    # Download WebKit tags (not Apple OSS)
    ❯ ipsw download git --webkit --json
    # Download specific product with API token
    ❯ ipsw download git --product xnu --api YOUR_TOKEN

SEE ALSO
ipsw-download(1)

HISTORY
11-Feb-2026 Auto generated by spf13/cobra